Subject: Re: randconfig build error with next-20140710, in sound/soc/rockchip/rockchip_i2s.c

From: Mark Brown <[email-masked]>
Date: Fri, 11 Jul 2014 13:42:31 +0100

On Fri, Jul 11, 2014 at 10:32:21AM +1000, Stephen Rothwell wrote:

> Who ever gave you that advice is wrong.  You should always (except in
> very rare circumstances) include every header file that your code
> references things from.  We have over 20 architectures and many, many
> possible configurations in the kernel build system and the fact that a
> file builds for one is not guarantee that it will build for another
> combination if you depend on implicit includes.

Right, I suspect this is coming from the header minimisation efforts :/